Subject: Re: bug#45619: 28.0.50; pcase-let on MacOS doesn't work

From: Michael Heerdegen <[email-masked]>
Date: Mon, 04 Jan 2021 23:08:59 +0100

Stefan Monnier <[email-masked]> writes:

> It's messier than that: the issue is that it doesn't bind variables
> which aren't used lexically (this is needed to avoid spurious warnings
> about unused vars when the var is used in on place but not in another).

BTW, a similar issue (pitfall) I faced was that I sometimes expect that
when a variable is already bound, already the first appearance of the
symbol would be turned into an equality test.

I wonder if pcase variable bindings could be hygienic in the sense that
they would use fresh symbols internally.  That would maybe make the
semantics clearer.

Michael.